Bug 117961 - weird trigger
Summary: weird trigger
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: man   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Eido Inoue
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC2Blocker
TreeView+ depends on / blocked
 
Reported: 2004-03-10 14:32 UTC by Tim Waugh
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: 1.5m2-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-12 21:33:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Waugh 2004-03-10 14:32:41 UTC
Description of problem:
triggerpostun scriptlet (using /bin/sh) -- man <= 1.5i2-0
rm -f /var/cache/man/cat[123456789n]/* 2>/dev/null || :
rm -f /var/cache/man/local/cat[123456789n]/* 2>/dev/null || :
rm -f /var/cache/man/X11R6/cat[123456789n]/* 2>/dev/null || :
rm -f /var/cache/man/whatis 2>/dev/null || :
WHATIS=`find /usr/share/man -n "whatis" 2>/dev/null`
[ -n "$WHATIS" ] && rm -f $WHATIS 2>/dev/null
exit 0

What is the 'find' bit for?  -n isn't a valid predicate!

Version-Release number of selected component (if applicable):
man-1.5m2-3


Note You need to log in before you can comment on or make changes to this bug.